xn::ModuleLockAwareInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleLockAwareInterface ()
virtual XnStatus | SetLockState (XnBool bLocked)=0
virtual XnBool | GetLockState ()=0
virtual XnStatus | RegisterToLockChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromLockChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleLockAwareInterface()

virtual xn::ModuleLockAwareInterface::~ModuleLockAwareInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## GetLockState()

virtual XnBool xn::ModuleLockAwareInterface::GetLockState | ( |  | ) |

pure virtual

## RegisterToLockChange()

virtual XnStatus xn::ModuleLockAwareInterface::RegisterToLockChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetLockState()

virtual XnStatus xn::ModuleLockAwareInterface::SetLockState | ( | XnBool | bLocked | ) |

pure virtual

## UnregisterFromLockChange()

virtual void xn::ModuleLockAwareInterface::UnregisterFromLockChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h